/** @file random.h
 * @brief 32-bit pseudo-random number generator interface.
 * @version $Id: random.h 2480 2009-05-20 09:33:32Z sirvulcan $
 */
#ifndef INCLUDED_random_h
#define INCLUDED_random_h

struct Client;

/*
 * Proto types
 */

extern int random_seed_set(struct Client* from, const char* const* fields,
			   int count);

extern unsigned int ircrandom(void);
extern int cloakrand();

#endif /* INCLUDED_random_h */
